Skip to main content
GET
Get KMS contract details

Headers

X-Phala-Version
string | null

Path Parameters

kms_id
string
required

KMS contract slug

Response

Successful Response

A KMS contract (group of equivalent KMS node replicas).

id
string<hashid>
required

A hashed identifier that maps to an internal database ID

Pattern: ^kc_.+
Example:

"kc_0123abcd"

slug
string | null
required
label
string | null
required
contract_address
string
required
chain_id
integer
required
k256_pubkey
string | null
required
ca_pubkey
string | null
required
node_count
integer
required